local L = AceLibrary("AceLocale-2.2"):new("SorrenTimers");
local BS = AceLibrary("Babble-Spell-2.2");
function stSetPaladin() 
	return {
		["useActionSkills"] = { --skills that must be detected through UseAction Hook	
			[BS["Hammer of Justice"] ] = {
				["afflict"] = BS["Hammer of Justice"],
				["hostile"] = 1,				
				["enable"] = true,
			},
			[BS["Turn Undead"] ] = {
				["afflict"] = BS["Turn Undead"],
				["hostile"] = 1,				
				["enable"] = true,
			},	
			[BS["Repentance"] ] = {
				["afflict"] = BS["Repentance"],
				["hostile"] = 1,				
				["enable"] = true,
			},						
			[BS["Blessing of Protection"] ] = {
				["enable"] = true,
				["target"] = true,
				["buff"] = BS["Blessing of Protection"],
			},
			[BS["Blessing of Freedom"] ] = {
				["enable"] = true,
				["target"] = true,
				["buff"] = BS["Blessing of Freedom"],
			},
			[BS["Consecration"] ] = {
				["enable"] = true,
				["duration"] = 8,
				["icon"] = "Interface\\Icons\\Spell_Holy_InnerFire",
				["group"] = "default",
			},						
		},

		["debuffs"] = { --'afflict' spells
			[BS["Hammer of Justice"] ] = {
				["ranks"] = { 3, 4, 5, 6 },
				["icon"] = "Interface\\Icons\\Spell_Holy_SealOfMight",				
				["group"] = "default",
			},	
			[BS["Turn Undead"] ] = {
				["ranks"] = { 10, 15, 20 },
				["icon"] = "Interface\\Icons\\Spell_Holy_TurnUndead",				
				["group"] = "default",
			},	
			[BS["Repentance"] ] = {
				["duration"] = 6,
				["icon"] = "Interface\\Icons\\Spell_Holy_PrayerOfHealing",				
				["group"] = "default",
			},									
		},
		["buffs"] = { --'gain' spells
			[BS["Blessing of Protection"] ] = {
				["ranks"] = { 6, 8, 10 },
				["icon"] = "Interface\\Icons\\Spell_Holy_SealOfProtection",
				["group"] = "default",
				["target"] = true,
			},
			[BS["Blessing of Freedom"] ] = {
				["duration"] = 10,
				["icon"] = "Interface\\Icons\\Spell_Holy_SealOfValor",
				["group"] = "default",
				["target"] = true,
				["talent"] = {
					["tab"] = 2,
					["num"] = 4,
					["duration"] = 3,
				},				
			},			
		},
		["castSpells"] = {
		
		
		},
		["castDamageSpells"] = {
			
		},
		["special"] = {
		},
	}, BS["Seal of Righteousness"];
end