local L = AceLibrary("AceLocale-2.2"):new("SorrenTimers");
local BS = AceLibrary("Babble-Spell-2.2");
function stSetPriest() 
	return {
		["useActionSkills"] = { --skills that must be detected through UseAction Hook
			[BS["Renew"] ] = {
				["enable"] = true,
				["target"] = true,
				["buff"] = BS["Renew"],
				["refresh"] = BS["Renew"],
			},
			[BS["Devouring Plague"] ] = {
				["enable"] = true,
				["duration"] = 24,
				["target"] = true,
				["hostile"] = 1,
				["group"] = "default",
				["icon"] = "Interface\\Icons\\Spell_Shadow_BlackPlague",
				["talent"] = {
					["multiple"] = {
						{
							["tab"] = 3,
							["num"] = 2,
							["afflict"] = BS["Blackout"],
						},
						{
							["tab"] = 3,
							["num"] = 11,
							["afflict"] = BS["Shadow Vulnerability"],
						},
					},
				},
				["refresh"] = BS["Shadow Vulnerability"],
			},
			
			[BS["Shadow Word: Pain"] ] = {
				["enable"] = true,
				["duration"] = 18,
				["target"] = true,
				["hostile"] = 1,
				["group"] = "default",
				["icon"] = "Interface\\Icons\\Spell_Shadow_ShadowWordPain",
				["talent"] = {
					["multiple"] = {
						{
							["tab"] = 3,
							["num"] = 2,
							["afflict"] = BS["Blackout"],
						},
						{
							["tab"] = 3,
							["num"] = 11,
							["afflict"] = BS["Shadow Vulnerability"],
						},
						{
							["tab"] = 3,
							["num"] = 4,
							["duration"] = 3,
						},
					},
				},
				["refresh"] = BS["Shadow Vulnerability"],
			},
			[BS["Mind Blast"] ] = {
				["talent"] = {
					["multiple"] = {
						{
							["tab"] = 3,
							["num"] = 2,
							["afflict"] = BS["Blackout"],
							["enable"] = true,
						},
						{
							["tab"] = 3,
							["num"] = 11,
							["afflict"] = BS["Shadow Vulnerability"],
							["enable"] = true,
						},
					},
				},
				["refresh"] = BS["Shadow Vulnerability"],
			},
			[BS["Psychic Scream"] ] = {
				["aoeafflict"] = BS["Psychic Scream"],
				["enable"] = true,
				["talent"] = {
					["multiple"] = {
						{
							["tab"] = 3,
							["num"] = 2,
							["afflict"] = BS["Blackout"],
						},
						{
							["tab"] = 3,
							["num"] = 11,
							["afflict"] = BS["Shadow Vulnerability"],
						},
					},
				},
				["refresh"] = BS["Shadow Vulnerability"],
			},
			[BS["Shackle Undead"] ] = {
				["duration"] = 50,
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Spell_Nature_Slow",
				["group"] = "default",
				["target"] = true,
				["hostile"] = 1,
			},
			[BS["Power Infusion"] ] = {
				["buff"] = BS["Power Infusion"],
				["enable"] = true,
				["target"] = true,
			},
		},
		
		["aoeDebuffs"] = {
			[BS["Psychic Scream"] ] = {
				["duration"] = 9,
				["charges"] = 5,
				["icon"] = "Interface\\Icons\\Spell_Shadow_PsychicScream",
				["group"] = "default",
			},
		},

		["debuffs"] = { --'afflict' spells
			[BS["Shadow Vulnerability"] ] = {
				["duration"] = 15,
				["icon"] = "Interface\\Icons\\Spell_Shadow_BlackPlague",
				["group"] = "default",
				["target"] = true,
			},
			[BS["Blackout"] ] = {
				["duration"] = 2,
				["icon"] = "Interface\\Icons\\Spell_Shadow_GatherShadows",
				["group"] = "default",
				["target"] = true,
			},
			
			
		},
		["buffs"] = { --'gain' spells
			[BS["Renew"] ] = {
				["duration"] = 15,
				["icon"] = "Interface\\Icons\\Spell_Holy_Renew",
				["group"] = "default",
				["target"] = true,
			},
			[BS["Power Infusion"] ] = {
				["duration"] = 15,
				["icon"] = "Interface\\Icons\\Spell_Holy_PowerInfusion",
				["group"] = "default",
				["target"] = true,
			},
		},
		["castSpells"] = {
		
		
		},
		["castDamageSpells"] = {
			
		},
		["special"] = {
		},
	}, BS["Power Word: Fortitude"];
end