local L = AceLibrary("AceLocale-2.2"):new("SorrenTimers");
local BS = AceLibrary("Babble-Spell-2.2");
enemySkills = {
	[BS["Ice Block"] ] = {
		["duration"] = 10,
		["icon"] = "Interface\\Icons\\Spell_Frost_Frost",
		["group"] = "default",
		["enable"] = true,
		["target"] = true,
	},
	[BS["Divine Shield"] ] = {
		["duration"] = 12,
		["icon"] = "Interface\\Icons\\Spell_Holy_DivineIntervention",
		["group"] = "default",
		["target"] = true,
		["enable"] = true,
	},
	[BS["Blessing of Protection"] ] = {
		["duration"] = 10,
		["icon"] = "Interface\\Icons\\Spell_Holy_SealOfProtection",
		["group"] = "default",
		["target"] = true,
		["enable"] = true,
	},
	[BS["Blessing of Freedom"] ] ={
		["duration"] = 15,
		["icon"] = "Interface\\Icons\\Spell_Holy_SealOfValor",
		["group"] = "default",
		["target"] = true,
		["enable"] = true,
	},
	[BS["Evasion"] ] = {
		["duration"] = 15,
		["icon"] = "Interface\\Icons\\Spell_Shadow_ShadowWard",
		["group"] = "default",
		["target"] = true,
		["enable"] = true,
	},
	[BS["Deterrence"] ] = {
		["duration"] = 10,
		["icon"] = "Interface\\Icons\\Ability_Whirlwind",
		["group"] = "default",
		["target"] = true,
		["enable"] = true,
	},
	[L["Unstable Power"] ] = {
		["duration"] = 20,
		["icon"] = "Interface\\Icon\\INV_Jewelry_Necklace_13",
		["group"] = "default",
		["target"] = true,
		["enable"] = true,
	},
	[BS["Power Infusion"] ] = {
		["duration"] = 15,
		["icon"] = "Interface\\Icons\\Spell_Holy_PowerInfusion",
		["group"] = "default",
		["target"] = true,
		["enable"] = true,
	},
	[BS["Arcane Power"] ] = {
		["duration"] = 15,
		["icon"] = "Interface\\Icons\\Spell_Nature_Lightning",
		["group"] = "default",
		["target"] = true,
		["enable"] = true,
	},
	[L["Ephemeral Power"] ] = {
		["duration"] = 15,
		["icon"] = "Interface\\Icons\\Spell_Holy_MindVision",
		["group"] = "default",
		["target"] = true,
		["enable"] = true,
	},
	[BS["Bestial Wrath"] ] = {
		["duration"] = 18,
		["icon"] = "Interface\\Icons\\Ability_Druid_FerociousBite",
		["enable"] = true,
		["group"] = "default",
		["target"] = true,
	},
	
}