local L = AceLibrary("AceLocale-2.2"):new("SorrenTimers");
local BS = AceLibrary("Babble-Spell-2.2");

L:RegisterTranslations("enUS", function() return {
	["Slash Commands"] = { "/sorrentimers", "/st" },
	["Hiya"] = true,
	["Message"] = true,
	["Sets the message to be displayed when you get home."] = true,
	["<your message>"] = true,
	
	["Show in Chat"] = true,
	["If set, your message will be displayed in the General chat window."] = true,
	
	["Show on Screen"] = true,
	["If set, your message will be displayed on the screen near the top of the game field."] = true,
	
	["hits"] = true,
	["crits"] = true,
	["crit"] = true,
	["fails"] = true,
	["missed"] = true,
	["you"] = true,
	["You"] = true,
	["dodges"] = true,
	["parries"] = true,
	["You parry"] = true,
	["You dodge"] = true,
	["You block"] = true,
	["blocks"] = true,
	["You dodged"] = true,
	["You blocked"] = true,
	["You parried"] = true,
	["You interrupt"] = true,
	
	["You cast (.+)%."] = true,
	[".+ hits (.+) for"] = true,
	[".+ crits (.+) for"] = true,
	["fails%. (.+) is immune"] = true,
	["(.+) dies%."] = true,
	["(.+) fades from (.+)%."] = true,
	["(.+) is afflicted by (.+)%."] = true,
	["'s (.+ Effect) fails%. .+ is immune%."] = true,
	["'s (.+ Effect) was resisted by .+%."] = true,
	["Your (.+) hits (.+) for .+%."] = true,
	["Your (.+) crits (.+) for .+%."] = true,
	["Your (.+) missed (.+)%."] = true,
	["Your (.+) heals (.+) for .+%."] = true,
	["interrupt (.+)'s"] = true,
	["(.+) gains (.+)%."] = true,
	
	["Grounding Recharge"] = true,
	[" [IV]+$"] = true,
	
	["Unstable Power"] = true,
	["Ephemeral Power"] = true,
	["Unstable Affliction"] = true,
	["Seed of Corruption"] = true,
	
	["Snake Trap"] = true,
	["Snakes"] = true,
	
	["Trap Arming"] = true,
	["You have slain (.+)!"] = true,
	["Victory Rush"] = true,
	
	["Kill Command"] = true,
	
	["Rank (%d+)"] = true,
	
	["Silencing Shot"] = true,
	
	["Devastate"] = true,
	["Time until Arena begins"] = true,
	["One minute"] = true,
	["Thirty seconds"] = true,
	["Fifteen seconds"] = true,
	["(.+) until the Arena"] = true,
	
	["Global Cooldown"] = true,
	["Expose Weakness"] = true,
	["Mace Stun Effect"] = true,
	["Active Stuns"] = true,
	["Passive Stuns"] = true,
	["Disorients"] = true,
	["Fear/Seduce"] = true,
	
	["Polymorph: Cow"] = true,
	["Polymorph: Pig"] = true,
	["Polymorph: Turtle"] = true,
	["Summon Water Elemental"] = true,
	["Dragon's Breath"] = true,
	["Slow"] = true,
	["Fear"] = true,

	["Master Tactician"] = true,
	
-- Start of Druid Timers Patch
	["Feral Charge Effect"] = true,
	["Lifebloom"] = true,
	["Maim"] = true,
	["Lacerate"] = true,
	["Cyclone"] = true,
	["Roots Effect"] = true,
	["Cyclone Effect"] = true,
	["Force of Nature"] = true,
-- End of Druid Timers Patch
} end );