local L = AceLibrary("AceLocale-2.2"):new("SorrenTimers");
local BS = AceLibrary("Babble-Spell-2.2");
function stSetShaman()
	return {
		["useActionSkills"] = { --skills that must be detected through UseAction Hook
			[BS["Frost Shock"] ] = {
				["afflict"] = BS["Frost Shock"],
				["hostile"] = 1,
				["enable"] = true,
				["target"] = true,
			},
			[BS["Flame Shock"] ] = {
				["afflict"] = BS["Flame Shock"],
				["hostile"] = 1,
				["enable"] = true,
				["target"] = true,
			},
		},

		["debuffs"] = { --'afflict' spells
			[BS["Frost Shock"] ] = {
				["duration"] = 8,
				["diminishing"] = BS["Frost Shock"],
				["target"] = true,
				["icon"] = "Interface\\Icons\\Spell_Frost_FrostShock",
				["group"] = "default",
			},
			[BS["Flame Shock"] ] = {
				["duration"] = 12,
				["target"] = true,
				["icon"] = "Interface\\Icons\\Spell_Fire_FlameShock",
				["group"] = "default",
			},
		},
		["aoeDebuffs"] = {
		},
		["castSpells"] = {
			--earth totems
			[BS["Stoneclaw Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Nature_StoneClawTotem",
				["duration"] = 15,
				["canDie"] = BS["Stoneclaw Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = {  BS["Tremor Totem"], BS["Stoneskin Totem"], BS["Strength of Earth Totem"], BS["Earthbind Totem"], },
			},
			[BS["Earthbind Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Nature_StrengthOfEarthTotem02",
				["duration"] = 45,
				["canDie"] = BS["Earthbind Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = {  BS["Tremor Totem"], BS["Stoneskin Totem"], BS["Strength of Earth Totem"], BS["Stoneclaw Totem"]  },
			},
			[BS["Tremor Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Nature_TremorTotem",
				["duration"] = 120,
				["canDie"] = BS["Tremor Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = {  BS["Earthbind Totem"], BS["Stoneskin Totem"], BS["Strength of Earth Totem"], BS["Stoneclaw Totem"], },
			},
			[BS["Strength of Earth Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Nature_EarthBindTotem",
				["duration"] = 120,
				["canDie"] = BS["Strength of Earth Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = {  BS["Earthbind Totem"], BS["Stoneskin Totem"], BS["Stoneclaw Totem"], BS["Tremor Totem"], },
			},			
			[BS["Stoneskin Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Nature_StoneSkinTotem",
				["duration"] = 120,
				["canDie"] = BS["Stoneskin Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = {  BS["Earthbind Totem"], BS["Tremor Totem"], BS["Strength of Earth Totem"], BS["Stoneclaw Totem"], },
			},
			--air totems
			[BS["Grounding Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Nature_GroundingTotem",
				["duration"] = 45,
				["canDie"] = BS["Grounding Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = { BS["Windfury Totem"], BS["Windwall Totem"], BS["Tranquil Air Totem"], BS["Nature Resistance Totem"], BS["Grace of Air Totem"], BS["Sentry Totem"]},
			},
			[BS["Grace of Air Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Nature_InvisibilityTotem",
				["duration"] = 120,
				["canDie"] = BS["Grace of Air Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = { BS["Windfury Totem"], BS["Windwall Totem"], BS["Tranquil Air Totem"], BS["Nature Resistance Totem"], BS["Grounding Totem"], BS["Sentry Totem"] },
			},
			[BS["Tranquil Air Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Nature_Brilliance",
				["duration"] = 120,
				["canDie"] = BS["Tranquil Air Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = { BS["Windfury Totem"], BS["Windwall Totem"], BS["Grace of Air Totem"], BS["Nature Resistance Totem"], BS["Grounding Totem"], BS["Sentry Totem"] },
			},
			[BS["Windfury Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Nature_WindFury",
				["duration"] = 120,
				["canDie"] = BS["Windfury Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = { BS["Tranquil Air Totem"], BS["Windwall Totem"], BS["Grace of Air Totem"], BS["Nature Resistance Totem"], BS["Grounding Totem"], BS["Sentry Totem"] },
			},
			[BS["Windwall Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Nature_EarthBind",
				["duration"] = 120,
				["canDie"] = BS["Windwall Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = { BS["Tranquil Air Totem"], BS["Windfury Totem"], BS["Grace of Air Totem"], BS["Nature Resistance Totem"], BS["Grounding Totem"], BS["Sentry Totem"] },
			},
			[BS["Nature Resistance Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Nature_NatureResistanceTotem",
				["duration"] = 120,
				["canDie"] = BS["Nature Resistance Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = { BS["Tranquil Air Totem"], BS["Windwall Totem"], BS["Grace of Air Totem"], BS["Windfury Totem"], BS["Grounding Totem"], BS["Sentry Totem"] },
			},
			[BS["Sentry Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Nature_RemoveCurse",
				["duration"] = 300,
				["canDie"] = BS["Sentry Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = { BS["Tranquil Air Totem"], BS["Windwall Totem"], BS["Grace of Air Totem"], BS["Windfury Totem"], BS["Grounding Totem"], BS["Nature Resistance Totem"] },
			},
			--fire totems
			[BS["Flametongue Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Nature_GuardianWard",
				["duration"] = 120,
				["canDie"] = BS["Flametongue Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = { BS["Frost Resistance Totem"], BS["Fire Nova Totem"], BS["Magma Totem"], BS["Searing Totem"], },
			},
			[BS["Frost Resistance Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_FrostResistanceTotem_01",
				["duration"] = 120,
				["canDie"] = BS["Frost Resistance Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = { BS["Flametongue Totem"], BS["Fire Nova Totem"], BS["Magma Totem"], BS["Searing Totem"], },
			},
			[BS["Searing Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Fire_SearingTotem",
				["duration"] = 55,
				["canDie"] = BS["Searing Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = { BS["Frost Resistance Totem"], BS["Fire Nova Totem"], BS["Magma Totem"], BS["Flametongue Totem"], },
			},
			[BS["Magma Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Fire_SelfDestruct",
				["duration"] = 20,
				["canDie"] = BS["Magma Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = { BS["Frost Resistance Totem"], BS["Fire Nova Totem"], BS["Flametongue Totem"], BS["Searing Totem"], },
			},
			[BS["Fire Nova Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Fire_SealOfFire",
				["duration"] = 5,
				["canDie"] = BS["Fire Nova Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = { BS["Frost Resistance Totem"], BS["Flametongue Totem"], BS["Magma Totem"], BS["Searing Totem"], },
				["talent"] = {
					["tab"] = 1,
					["num"] = 9,
					["duration"] = -1,
				},
			},
			--water totems
			[BS["Disease Cleansing Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Nature_DiseaseCleansingTotem",
				["duration"] = 120,
				["canDie"] = BS["Disease Cleansing Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = { BS["Healing Stream Totem"], BS["Mana Spring Totem"], BS["Poison Cleansing Totem"], BS["Fire Resistance Totem"], },
			},
			[BS["Poison Cleansing Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Nature_PoisonCleansingTotem",
				["duration"] = 120,
				["canDie"] = BS["Poison Cleansing Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = { BS["Healing Stream Totem"], BS["Mana Spring Totem"], BS["Disease Cleansing Totem"], BS["Fire Resistance Totem"], },
			},
			[BS["Healing Stream Totem"] ] = {
				["icon"] = "Interface\\Icons\\INV_Spear_04",
				["duration"] = 60,
				["canDie"] = BS["Healing Stream Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = { BS["Disease Cleansing Totem"], BS["Mana Spring Totem"], BS["Poison Cleansing Totem"], BS["Fire Resistance Totem"], },
			},
			[BS["Mana Spring Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_Nature_ManaRegenTotem",
				["duration"] = 60,
				["canDie"] = BS["Mana Spring Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = { BS["Healing Stream Totem"], BS["Disease Cleansing Totem"], BS["Poison Cleansing Totem"], BS["Fire Resistance Totem"], },
			},
			[BS["Fire Resistance Totem"] ] = {
				["icon"] = "Interface\\Icons\\Spell_FireResistanceTotem_01",
				["duration"] = 120,
				["canDie"] = BS["Fire Resistance Totem"],
				["enable"] = true,
				["group"] = "default",
				["stop"] = { BS["Healing Stream Totem"], BS["Mana Spring Totem"], BS["Poison Cleansing Totem"], BS["Disease Cleansing Totem"], },
			},
			
		},
		["canDie"] = {
			--earth totems
			[BS["Stoneclaw Totem"] ] = {
				["stop"] = BS["Stoneclaw Totem"],
			},
			[BS["Earthbind Totem"] ] = {
				["stop"] = BS["Earthbind Totem"],
			},
			[BS["Tremor Totem"] ] = {
				["stop"] = BS["Tremor Totem"],
			},
			[BS["Strength of Earth Totem"] ] = {
				["stop"] = BS["Strength of Earth Totem"],
				["aura"] = "Interface\\Icons\\Spell_Nature_EarthBindTotem",
			},
			[BS["Stoneskin Totem"] ] = {
				["stop"] = BS["Stoneskin Totem"],
				["aura"] = "Interface\\Icons\\Spell_Nature_StoneSkinTotem",
			},
			--air totems
			[BS["Grounding Totem"] ] = {
				["stop"] = { BS["Grounding Totem"], L["Grounding Recharge"], },
				["special"] = L["Grounding Recharge"],
				["aura"] = "Interface\\Icons\\Spell_Nature_GroundingTotem",
			},
			[BS["Nature Resistance Totem"] ] = {
				["stop"] = BS["Nature Resistance Totem"],
				["aura"] = "Interface\\Icons\\Spell_Nature_NatureResistanceTotem",
			},
			[BS["Grace of Air Totem"] ] = {
				["aura"] = "Interface\\Icons\\Spell_Nature_InvisibilityTotem",
				["stop"] = BS["Grace of Air Totem"],
			},
			[BS["Tranquil Air Totem"] ] = {
				["stop"] = BS["Tranquil Air Totem"],
				["aura"] = "Interface\\Icons\\Spell_Nature_Brilliance",
			},
			[BS["Windwall Totem"] ] = {
				["stop"] = BS["Windwall Totem"],
				["aura"] = "Interface\\Icons\\Spell_Nature_EarthBind",
			},
			[BS["Windfury Totem"] ] = {
				["stop"] = BS["Windfury Totem"],
			},
			[BS["Sentry Totem"] ] = {
				["stop"] = BS["Sentry Totem"],
			},
			--fire totems
			[BS["Flametongue Totem"] ] = {
				["stop"] = BS["Flametongue Totem"],
			},
			[BS["Fire Nova Totem"] ] = {
				["stop"] = BS["Fire Nova Totem"],
			},
			[BS["Magma Totem"] ] = {
				["stop"] = BS["Magma Totem"],
			},
			[BS["Searing Totem"] ] = {
				["stop"] = BS["Searing Totem"],
			},
			[BS["Frost Resistance Totem"] ] = {
				["stop"] = BS["Frost Resistance Totem"],
				["aura"] = "Interface\\Icons\\Spell_FrostResistanceTotem_01",
			},
			--water totems
			[BS["Healing Stream Totem"] ] = {
				["aura"] = "Interface\\Icons\\INV_Spear_04",
				["stop"] = BS["Healing Stream Totem"],
			},
			[BS["Mana Spring Totem"] ] = {
				["aura"] = "Interface\\Icons\\Spell_Nature_ManaRegenTotem",
				["stop"] = BS["Mana Spring Totem"],
			},
			[BS["Fire Resistance Totem"] ] = {
				["aura"] = "Interface\\Icons\\Spell_FireResistanceTotem_01",
				["stop"] = BS["Fire Resistance Totem"],
			},
			[BS["Disease Cleansing Totem"] ] = {
				["stop"] = BS["Disease Cleansing Totem"],
			},
			[BS["Poison Cleansing Totem"] ] = {
				["stop"] = BS["Poison Cleansing Totem"],
			},
		},
		["castDamageSpells"] = {
			[BS["Frost Shock"] ] = {
				["refresh"] = BS["Frost Shock"],
				["target"] = true,
				["diminishing"] = BS["Frost Shock"],
				["enable"] = true,
			},
			[BS["Earth Shock"] ] = {
				["target"] = true,
				["duration"] = 2,
				["icon"] = "Interface\\Icons\\Spell_Nature_EarthShock",
				["enable"] = true,
				["group"] = "default",
			},
			[BS["Flame Shock"] ] = {
				["target"] = true,
				["refresh"] = BS["Flame Shock"],
				["enable"] = true,
			},
			["Iron Grenade"] = {
				["duration"] = 3,
				["icon"] = "Interface\\Icons\\INV_Misc_Bomb_08",
				["enable"] = true,
				["group"] = "default",
			},
		},
		["special"] = {
			[L["Grounding Recharge"] ] = {
				["duration"] = 10,
				["enable"] = true,
				["icon"] = "Interface\\Icons\\Spell_Nature_GroundingTotem", 
				["group"] = "default",
			},
		},
		["diminish"] = {
			[BS["Frost Shock"] ] = {},
		},
	}, BS["Rockbiter Weapon"];
end
